List Collection Permissions
curl --request GET \
--url https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}/permission \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}/permission"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}/permission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"USER": [
{
"id": "870010733",
"permissions": [
"ADMIN",
"SHARE",
"DELETE",
"WRITE",
"READ"
]
}
],
"RYUU_APP": [
{
"id": "a1b2c3d4-1234-5678-abcd-ef0123456789",
"permissions": [
"READ",
"CREATE_CONTENT",
"READ_CONTENT",
"UPDATE_CONTENT",
"DELETE_CONTENT"
]
}
]
}{
"message": "The item you're looking for can not be found",
"status": 403,
"statusReason": "Forbidden",
"toe": "S3L5DHUFAT-79LXK-PWJG5"
}List Collection Permissions
List all entities that have permissions on a collection, optionally filtered by entity type or ID.
GET
/
api
/
datastores
/
v1
/
collections
/
{collectionId}
/
permission
List Collection Permissions
Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the collection.
Query Parameters
Filter by entity type.
Available options:
USER, GROUP, RYUU_APP Filter by specific entity IDs. User and group IDs are numeric (for example, 870010733); app (RYUU_APP) IDs are UUIDs (for example, fcd8baba-9524-4fb5-b94b-b3d3b588e740).
Response
OK. Returns a map of entity type to list of permission entries.
Keys are entity types (USER, GROUP, RYUU_APP). Values are arrays of permission entries.
Show child attributes
Show child attributes

